org.encog.ml.data

## Interface MLDataPair

- All Superinterfaces:
    CentroidFactory<MLDataPair>
  All Known Subinterfaces:
    NeuralDataPair
  All Known Implementing Classes:
    BasicMLDataPair, BasicNeuralDataPair

      public interface MLDataPair
      extends CentroidFactory<MLDataPair>

  Training data is stored in two ways, depending on if the data is for supervised, or unsupervised training. For unsupervised training just an input value is provided, and the ideal output values are null. For supervised training both input and the expected ideal outputs are provided. This interface abstracts classes that provide a holder for both of these two data items.
  Author:
    jheaton

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MLData` | `getIdeal()`
    `double[]` | `getIdealArray()`
    `MLData` | `getInput()`
    `double[]` | `getInputArray()`
    `double` | `getSignificance()` Get the significance, 1.0 is neutral.
    `boolean` | `isSupervised()`
    `void` | `setIdealArray(double[] data)` Set the ideal data, the desired output.
    `void` | `setInputArray(double[] data)` Set the input.
    `void` | `setSignificance(double s)` Set the significance, 1.0 is neutral.

    - ### Methods inherited from interface org.encog.util.kmeans.CentroidFactory

      `createCentroid`

- - ### Method Detail

    - #### getIdealArray

          double[] getIdealArray()

      Returns:
        The ideal data that the machine learning method should produce for the specified input.

    - #### getInputArray

          double[] getInputArray()

      Returns:
        The input that the neural network

    - #### setIdealArray

          void setIdealArray(double[] data)

      Set the ideal data, the desired output.
      Parameters:
        `data` - The ideal data.

    - #### setInputArray

          void setInputArray(double[] data)

      Set the input.
      Parameters:
        `data` - The input.

    - #### isSupervised

          boolean isSupervised()

      Returns:
        True if this training pair is supervised. That is, it has both input and ideal data.

    - #### getIdeal

          MLData getIdeal()

      Returns:
        The ideal data that the neural network should produce for the specified input.

    - #### getInput

          MLData getInput()

      Returns:
        The input that the neural network

    - #### getSignificance

          double getSignificance()

      Get the significance, 1.0 is neutral.
      Returns:
        The significance.

    - #### setSignificance

          void setSignificance(double s)

      Set the significance, 1.0 is neutral.
      Parameters:
        `s` - The significance.

Copyright © 2014. All Rights Reserved.